﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Description;

namespace Server
{
    class Program
    {
        static void Main(string[] args)
        {
            Uri baseAddress = new Uri("http://localhost:8000/");
            ServiceHost host = new ServiceHost(typeof(MyService), baseAddress);
            host.AddServiceEndpoint(typeof(IMyService), new BasicHttpBinding(), baseAddress);

            ServiceMetadataBehavior smb = new ServiceMetadataBehavior();
            smb.HttpGetEnabled = true;
            host.Description.Behaviors.Add(smb);

            host.Open();

            Console.WriteLine("The service is ready!(Press Enter to exit)");
            Console.ReadKey(true);
        }
    }
}
